## llvm-defaults 0.23ubuntu1

=== debian/changelog ===
llvm-defaults (0.23ubuntu1) utopic; urgency=medium

  * Default to 3.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 09:01:25 +0200

llvm-defaults (0.23) unstable; urgency=medium

  * Upload to unstable
  * Fix a bad link in libllvm-ocaml-dev (Closes: #644101)

  [ Matthias Klose ]
  * Depend on 3.5 on ppc64el.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Aug 2014 10:52:28 +0200

llvm-defaults (0.23~exp1) experimental; urgency=medium

  * Co installation of clang (Closes: #736057) Manages:
    - clang
    - clang++
    - clang-check
    - clang-tblgen
    - c-index-test
    - clang-apply-replacements
    - clang-tidy
    - pp-trace
    - clang-query
    - scan-build
    - scan-view
  * yaml2obj, obj2yaml, verify-uselistorder will be managed once defaulting
    to 3.6 (probably Jessie+1)
  * clang alternatives are managed by this package now

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Aug 2014 13:34:59 +0200

llvm-defaults (0.22) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Jul 2014 19:23:54 +0200

llvm-defaults (0.22~exp1) experimental; urgency=medium

  * Ack previous NMU. Thanks mate!
  * Default to LLVM & clang 3.4 for Jessie (Already the case for Ubuntu 14.04)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Apr 2014 13:03:49 -0700

llvm-defaults (0.21+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * Handle symlink to directories conversion (Closes: #736311)

 -- David Prévot <taffit@debian.org>  Mon, 14 Apr 2014 20:41:27 -0400
