## llvm-defaults 0.25

=== debian/changelog ===
llvm-defaults (0.25) unstable; urgency=medium

  * Fix FTBFS on ppc64el/arm64 (Closes: #765354)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Nov 2014 13:56:35 +0100

llvm-defaults (0.24) unstable; urgency=medium

  * Upload in unstable
  * Note that lldb is not yet co instalable
  * Also breaks against clang 3.2 (just in case)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Sep 2014 18:38:55 +0200

llvm-defaults (0.24~exp2) experimental; urgency=medium

  * Also manages lldb
  * Also breaks/replaces with clang-3.3 (Closes: #758325)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Sep 2014 11:33:45 +0200

llvm-defaults (0.24~exp1) experimental; urgency=medium

  * Default to 3.5 (Thanks to Doko for the patch)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 Aug 2014 10:34:39 +0200
