=== debian/control ===
--- 
+++ 
@@ -53,9 +53,9 @@
 Package: clang
 Architecture: any
 Depends: clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Replaces: clang (<< 3.2-1~exp2), clang-3.4 (<< 1:3.4.2-7~exp1),
+Replaces: clang (<< 3.2-1~exp2), clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1),
  clang-3.5 (<< 1:3.5~+rc1-3~exp1)
-Breaks: clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1)
+Breaks: clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1)
 Description: C, C++ and Objective-C compiler (LLVM based)
  Clang project is a C, C++, Objective C and Objective C++ front-end
  for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
@@ -103,13 +103,13 @@
  This is a dependency package providing the default libclang libraries and
  headers.
 
-# Package: lldb
-# Architecture: any
-# Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-# Pre-Depends: ${misc:Pre-Depends}
-# Description: Next generation, high-performance debugger
-#  LLDB is a next generation, high-performance debugger. It is built as a set of
-#  reusable components which highly leverage existing libraries in the larger LLVM
-#  Project, such as the Clang expression parser and LLVM disassembler.
-#  .
-#  This is a dependency package providing the default version of lldb.
+Package: lldb
+Architecture: any
+Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: Next generation, high-performance debugger
+ LLDB is a next generation, high-performance debugger. It is built as a set of
+ reusable components which highly leverage existing libraries in the larger LLVM
+ Project, such as the Clang expression parser and LLVM disassembler.
+ .
+ This is a dependency package providing the default version of lldb.
