## llvm-defaults 0.26ubuntu1

=== debian/changelog ===
llvm-defaults (0.26ubuntu1) vivid; urgency=medium

  * Default to 3.6.
  * Fix the packaging for 3.6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jan 2015 16:34:50 +0100

llvm-defaults (0.26) unstable; urgency=medium

  * Remove some artifacts

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 14:59:37 +0100
