=== debian/rules ===
--- 
+++ 
@@ -37,17 +37,20 @@
 # llvm-defaults 0.24 is the first version for 3.5.
 REL_NO_35	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.26 is the first version for 3.6.
+REL_NO_36	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.5~)
-
-CURRENT_VERSION := 3.5
+REQV            := (>= 3.6~rc1)
+
+CURRENT_VERSION := 3.6
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_35)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_36)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev
@@ -136,15 +139,15 @@
 			/usr/bin/$$bin ; \
 	done
 	: # From LLVM 3.6
-	if test $(CURRENT_VERSION) -ge 3.6; then \
+	case $(CURRENT_VERSION) in 3.6|3.7|3.8|3.9|4*) \
 		for bin in \
-			yaml2obj, obj2yaml, verify-uselistorder \
+			yaml2obj obj2yaml verify-uselistorder \
 			; do \
 			dh_link -pllvm \
 				/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 				/usr/bin/$$bin ; \
 		done; \
-	fi
+	esac
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm \
