## llvm-defaults 0.33ubuntu3

=== debian/changelog ===
llvm-defaults (0.33ubuntu3) xenial; urgency=medium

  * Stop building the clang-modernize package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 13:37:27 +0100

llvm-defaults (0.33ubuntu2) xenial; urgency=medium

  * Don't build lldb on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2016 09:58:44 +0100

llvm-defaults (0.33ubuntu1) xenial; urgency=medium

  * Default to llvm-toolchain-3.8
  * lldb is not supported on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 20:23:39 +0100

llvm-defaults (0.33) unstable; urgency=medium

  * Fix for real bug #803558 by using 1:3.6-28 instead of << 0.28
    (Closes: #803558)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jan 2016 21:14:51 +0100

llvm-defaults (0.32) unstable; urgency=medium

  * Fix the upgrade from 'testing'
    Adds Breaks: clang (<< 0.28) & Replaces: clang (<< 0.28)
    into clang-format, clang-tidy & clang-modernize (Closes: #803558)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Nov 2015 14:16:26 +0100

llvm-defaults (0.31) unstable; urgency=medium

  * Fix incorrect symlink with obj2yaml, yaml2obj (Closes: #803376)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Oct 2015 13:35:25 +0100

llvm-defaults (0.30) unstable; urgency=medium

  * Fix the clang-format & clang-format-diff install (Closes: #802569)
  * Remove checks on the 3.6 version as we don't support older version

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Oct 2015 10:39:27 +0100

llvm-defaults (0.29) unstable; urgency=medium

  * Improve the clang-format management, including the vim plugin.
    Thanks to Mathieu Malaterre (Closes: #802444)
  * Also add the clang-tidy link.
    Thanks to Daniel Serpell (Closes: #802496)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Oct 2015 09:19:18 +0200

llvm-defaults (0.28) unstable; urgency=medium

  * Add clang-format, clang-tidy & clang-modernize as new packages to
    change the default (Closes: #800374)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Oct 2015 10:35:25 +0200

llvm-defaults (0.27) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Oct 2015 14:08:24 +0200

llvm-defaults (0.27~exp2) experimental; urgency=medium

  * Fix a broken symlink in ocaml support (Closes: #781341)
    Thanks to Emmanuel Fleury for the patch
  * Update build deps to 3.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Mar 2015 13:45:20 +0200

llvm-defaults (0.27~exp1) experimental; urgency=medium

  * Default to clang 3.6
  * Remove llvm-ld & llvm-prof symlink as they have been removed upstream
    (Closes: #779671)
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Mar 2015 10:01:43 +0100
