=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
- llvm-3.6-dev, libllvm-3.6-ocaml-dev, m4,
+ llvm-3.8-dev, libllvm-3.8-ocaml-dev, m4,
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
 
@@ -66,6 +66,36 @@
  .
  This is a dependency package providing the default clang compiler.
 
+Package: clang-tidy
+Architecture: any
+Depends: clang-tidy-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Breaks: clang (<< 1:3.6-28)
+Replaces: clang (<< 1:3.6-28)
+Description: clang-based C++ linter tool
+ Provide an extensible framework for diagnosing and fixing typical programming
+ errors, like style violations, interface misuse, or bugs that can be deduced
+ via static analysis. clang-tidy is modular and provides a convenient interface
+ for writing new checks.
+ .
+ This is a dependency package providing the clang tidy tool.
+
+Package: clang-format
+Architecture: any
+Depends: clang-format-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Breaks: clang (<< 1:3.6-28)
+Replaces: clang (<< 1:3.6-28)
+Description: Tool to format C/C++/Obj-C code
+ Clang-format is both a library and a stand-alone tool with the goal of
+ automatically reformatting C++ sources files according to configurable
+ style guides. To do so, clang-format uses Clang's Lexer to transform an
+ input file into a token stream and then changes all the whitespace around
+ those tokens. The goal is for clang-format to both serve both as a user
+ tool (ideally with powerful IDE integrations) and part of other
+ refactoring tools, e.g. to do a reformatting of all the lines changed
+ during a renaming.
+ .
+ This is a dependency package providing the clang format tool.
+
 Package: libclang1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs}, libclang1-${pv:llvm} ${reqv:llvm}
