=== debian/rules ===
--- 
+++ 
@@ -37,26 +37,29 @@
 # llvm-defaults 0.24 is the first version for 3.5.
 REL_NO_35	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.26 is the first version for 3.6.
+# llvm-defaults 0.27 is the first version for 3.6.
 REL_NO_36	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.33 is the first version for 3.6.
+REL_NO_38	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.6~rc1)
-
-CURRENT_VERSION := 3.6
+REQV            := (>= 3.8~)
+
+CURRENT_VERSION := 3.8
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_36)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_38)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev
+all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := llvm-gcc # must be built?
 
-LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 powerpc mips mipsel
+LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
     all_packages += lldb
 else
@@ -131,27 +134,24 @@
 	for bin in \
 		bugpoint llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
-		llvm-ld llvm-link llvm-mc llvm-nm llvm-objdump llvm-prof \
+		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen \
 		macho-dump opt ; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
 	done
-	: # From LLVM 3.6
-	case $(CURRENT_VERSION) in 3.6|3.7|3.8|3.9|4*) \
-		for bin in \
-			yaml2obj obj2yaml verify-uselistorder \
-			; do \
-			dh_link -pllvm \
-				/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-				/usr/bin/$$bin ; \
-		done; \
-	esac
+	for bin in \
+		yaml2obj obj2yaml verify-uselistorder \
+		; do \
+		dh_link -pllvm \
+			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
+			/usr/bin/$$bin ; \
+	done
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm \
-		llvm-prof llvm-ranlib opt tblgen ; do \
+		llvm-ranlib opt tblgen ; do \
 		dh_link -pllvm \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
@@ -188,7 +188,7 @@
 	dh_installdirs -plibllvm-ocaml-dev \
 		/usr/lib/ocaml/METAS
 	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/METAS/META.llvm-$(CURRENT_VERSION) /usr/lib/ocaml/METAS/META.llvm \
+		/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm \
 		/usr/lib/ocaml/llvm-$(CURRENT_VERSION) /usr/lib/ocaml/llvm
 
 	: # clang
@@ -196,12 +196,30 @@
 		usr/bin usr/share/man/man1
 	for bin in \
 		clang clang++ clang-check clang-tblgen c-index-test \
-		clang-apply-replacements clang-tidy pp-trace clang-query \
+		clang-apply-replacements pp-trace clang-query \
 		; do \
 		dh_link -pclang \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
 	done
+
+	for bin in \
+		clang-tidy \
+		; do \
+		dh_link -pclang-tidy \
+			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
+			/usr/bin/$$bin ; \
+	done
+
+	dh_link -pclang-format \
+		/usr/bin/clang-format-$(PV_LLVM) \
+		/usr/bin/clang-format
+	dh_link -pclang-format \
+		/usr/bin/clang-format-diff-$(PV_LLVM) \
+		/usr/bin/clang-format-diff
+	dh_link -pclang-format \
+		/usr/share/vim/addons/syntax/clang-format-$(PV_LLVM).py \
+		/usr/share/vim/addons/syntax/clang-format.py
 	dh_link -pclang \
 			/usr/bin/scan-build-$(PV_LLVM) \
 			/usr/bin/scan-build
