## llvm-defaults 0.33ubuntu3.1

=== debian/changelog ===
llvm-defaults (0.33ubuntu3.1) xenial; urgency=medium

  * lldb: Provide unversioned lldb-* binaries. LP: #1585928.

 -- Jan Henke <jhenke@hugendubel-digital.de>  Thu, 16 Jun 2016 09:44:57 +0200
