=== debian/rules ===
--- 
+++ 
@@ -232,6 +232,15 @@
 	dh_link -plldb \
 			/usr/bin/lldb-$(PV_LLVM) \
 			/usr/bin/lldb
+	dh_link -plldb \
+			/usr/bin/lldb-argdumper-$(PV_LLVM) \
+			/usr/bin/lldb-argdumper
+	dh_link -plldb \
+			/usr/bin/lldb-mi-$(PV_LLVM) \
+			/usr/bin/lldb-mi
+	dh_link -plldb \
+			/usr/bin/lldb-server-$(PV_LLVM) \
+			/usr/bin/lldb-server
 
 
 nopkgs := $(foreach p, $(no_packages),-N$(p))
