## llvm-defaults 0.33ubuntu4

=== debian/changelog ===
llvm-defaults (0.33ubuntu4) yakkety; urgency=medium

  * lldb: Provide unversioned lldb-* binaries. LP: #1585928.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jun 2016 01:26:56 +0200
