## llvm-defaults 0.34

=== debian/changelog ===
llvm-defaults (0.34) unstable; urgency=medium

  * Upload to unstable
  * Add arm64 to the list of supported arch for lldb (Closes: #836591)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2016 19:15:35 +0200

llvm-defaults (0.34~exp4) experimental; urgency=medium

  * Sync from Ubuntu (thanks Doko):
    - lldb-argdumper, lldb-server, lldb-mi provided as new binaries
      (LP: #1585928)
    - Don't build lldb on powerpc.
    - lldb is not supported on s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Jun 2016 16:48:37 +0200

llvm-defaults (0.34~exp3) experimental; urgency=medium

  * Really change to 3.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Jun 2016 16:36:27 +0200

llvm-defaults (0.34~exp2) experimental; urgency=medium

  * Default to 3.8
    - Yes, that means that we are skipping 3.7 as transition
  * Remove clang-modernize (replaced by clang-tidy)
  * Standards-Version updated to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jan 2016 14:44:44 +0100

llvm-defaults (0.34~exp1) experimental; urgency=medium

  * Default to 3.7

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jan 2016 14:44:44 +0100
