=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
  llvm-3.8-dev, libllvm-3.8-ocaml-dev, m4,
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
@@ -77,6 +77,8 @@
  via static analysis. clang-tidy is modular and provides a convenient interface
  for writing new checks.
  .
+ clang-tidy replaces clang-modernize
+ .
  This is a dependency package providing the clang tidy tool.
 
 Package: clang-format
