=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,11 @@
 # llvm-defaults 0.27 is the first version for 3.6.
 REL_NO_36	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.33 is the first version for 3.6.
-REL_NO_38	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+# llvm-defaults 0.34 is the first version for 3.7.
+REL_NO_37	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.34 is the first version for 3.8.
+REL_NO_38       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
 REQV            := (>= 3.8~)
@@ -59,7 +62,7 @@
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := llvm-gcc # must be built?
 
-LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel
+LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
     all_packages += lldb
 else
@@ -274,4 +277,3 @@
 	dh_builddeb -a $(nopkgs)
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
