## llvm-defaults 0.34ubuntu1

=== debian/changelog ===
llvm-defaults (0.34ubuntu1) zesty; urgency=medium

  * Default to 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jan 2017 08:34:20 +0100
