=== debian/rules ===
--- 
+++ 
@@ -46,17 +46,20 @@
 # llvm-defaults 0.34 is the first version for 3.8.
 REL_NO_38       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.34 is the first version for 3.9.
+REL_NO_39       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.8~)
-
-CURRENT_VERSION := 3.8
+REQV            := (>= 3.9.1~)
+
+CURRENT_VERSION := 3.9
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_38)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_39)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
@@ -270,10 +273,3 @@
 	dh_installdeb -a $(nopkgs)
 
 	for p in $(packages) ; do \
-	  dh_gencontrol -p$$p -u-v$(CV_LLVM) ; \
-	done
-
-	dh_md5sums -a $(nopkgs)
-	dh_builddeb -a $(nopkgs)
-
-binary: binary-indep binary-arch
