## llvm-defaults 0.34ubuntu2

=== debian/changelog ===
llvm-defaults (0.34ubuntu2) zesty; urgency=medium

  * Default to 4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Mar 2017 15:09:57 +0200
