=== debian/rules ===
--- 
+++ 
@@ -49,17 +49,20 @@
 # llvm-defaults 0.34 is the first version for 3.9.
 REL_NO_39       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.34 is the first version for 4.0.
+REL_NO_40       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.9.1~)
-
-CURRENT_VERSION := 3.9
+REQV            := (>= 4.0~)
+
+CURRENT_VERSION := 4.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_39)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_40)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
@@ -269,7 +272,3 @@
 	done
 
 	dh_compress -a $(nopkgs) -X README.Debian
-	dh_fixperms -a $(nopkgs)
-	dh_installdeb -a $(nopkgs)
-
-	for p in $(packages) ; do \
