## llvm-defaults 0.34+nmu1

=== debian/changelog ===
llvm-defaults (0.34+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete symlink /usr/bin/pp-trace. (Closes: #839909)
  * Remove obsolete symlink /usr/bin/macho-dump. (Closes: #839906)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Mar 2017 20:23:49 +0100
