=== debian/rules ===
--- 
+++ 
@@ -46,23 +46,17 @@
 # llvm-defaults 0.34 is the first version for 3.8.
 REL_NO_38       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.34 is the first version for 3.9.
-REL_NO_39       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
-# llvm-defaults 0.34 is the first version for 4.0.
-REL_NO_40       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
 # minimum required version
-REQV            := (>= 4.0~)
-
-CURRENT_VERSION := 4.0
+REQV            := (>= 3.8~)
+
+CURRENT_VERSION := 3.8
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_40)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_38)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
@@ -145,7 +139,7 @@
 		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
 		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen \
-		macho-dump opt ; do \
+		opt ; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
@@ -205,7 +199,7 @@
 		usr/bin usr/share/man/man1
 	for bin in \
 		clang clang++ clang-check clang-tblgen c-index-test \
-		clang-apply-replacements pp-trace clang-query \
+		clang-apply-replacements clang-query \
 		; do \
 		dh_link -pclang \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
@@ -272,3 +266,14 @@
 	done
 
 	dh_compress -a $(nopkgs) -X README.Debian
+	dh_fixperms -a $(nopkgs)
+	dh_installdeb -a $(nopkgs)
+
+	for p in $(packages) ; do \
+	  dh_gencontrol -p$$p -u-v$(CV_LLVM) ; \
+	done
+
+	dh_md5sums -a $(nopkgs)
+	dh_builddeb -a $(nopkgs)
+
+binary: binary-indep binary-arch
