## llvm-defaults 0.36

=== debian/changelog ===
llvm-defaults (0.36) unstable; urgency=medium

  * Also remove libllvm-3.8-ocaml-dev from the build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Apr 2017 14:08:37 +0200

llvm-defaults (0.35) unstable; urgency=medium

  * Add llvm-profdata and llvm-symbolizer in the list of binaries
  * Following the change on llvm-toolchain-3.{8,9}, restrict the list of archs
    for libllvm-ocaml-dev to arm & intel cpus

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Apr 2017 12:01:50 +0200
