=== debian/rules ===
--- 
+++ 
@@ -138,7 +138,8 @@
 		bugpoint llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
 		llvm-link llvm-mc llvm-nm llvm-objdump \
-		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen \
+		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
+		llvm-symbolizer \
 		opt ; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
@@ -153,8 +154,8 @@
 	done
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
-		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm \
-		llvm-ranlib opt tblgen ; do \
+		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm llvm-profdata \
+		llvm-ranlib opt tblgen llvm-symbolizer; do \
 		dh_link -pllvm \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
@@ -276,4 +277,3 @@
 	dh_md5sums -a $(nopkgs)
 	dh_builddeb -a $(nopkgs)
 
-binary: binary-indep binary-arch
