## llvm-defaults 0.36ubuntu1

=== debian/changelog ===
llvm-defaults (0.36ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - default to llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Apr 2017 09:38:09 +0200
