## llvm-defaults 0.36ubuntu2

=== debian/changelog ===
llvm-defaults (0.36ubuntu2) artful; urgency=medium

  * Disable ocaml binding, thanks Adam Conrad for the help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Apr 2017 09:37:50 +0200
