=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
- llvm-3.8-dev, m4,
+ llvm-4.0-dev, m4,
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
 
@@ -39,16 +39,16 @@
  .
  This is a dependency package providing the default libraries and headers.
 
-Package: libllvm-ocaml-dev
-Architecture: amd64 arm64 armel armhf i386
-Section: ocaml
-Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
-Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
- The Low-Level Virtual Machine (LLVM) is a collection of libraries and
- tools that make it easy to build compilers, optimizers, Just-In-Time
- code generators, and many other compiler-related programs.
- .
- This is a dependency package providing the default bindings for OCaml.
+#Package: libllvm-ocaml-dev
+#Architecture: amd64 arm64 armel armhf i386
+#Section: ocaml
+#Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
+#Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
+# The Low-Level Virtual Machine (LLVM) is a collection of libraries and
+# tools that make it easy to build compilers, optimizers, Just-In-Time
+# code generators, and many other compiler-related programs.
+# .
+# This is a dependency package providing the default bindings for OCaml.
 
 Package: clang
 Architecture: any
