=== debian/rules ===
--- 
+++ 
@@ -46,20 +46,27 @@
 # llvm-defaults 0.34 is the first version for 3.8.
 REL_NO_38       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.34 is the first version for 3.9.
+REL_NO_39       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.34 is the first version for 4.0.
+REL_NO_40       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.8~)
-
-CURRENT_VERSION := 3.8
+REQV            := (>= 4.0~)
+
+CURRENT_VERSION := 4.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_38)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_40)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
+all_packages   := llvm llvm-runtime llvm-dev clang libclang1 libclang-dev clang-format clang-tidy
+#all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := llvm-gcc # must be built?
 
 LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
@@ -188,12 +195,12 @@
 	done
 
 
-	: # libllvm-ocaml-dev
-	dh_installdirs -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/METAS
-	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm \
-		/usr/lib/ocaml/llvm-$(CURRENT_VERSION) /usr/lib/ocaml/llvm
+	#: # libllvm-ocaml-dev
+	#dh_installdirs -plibllvm-ocaml-dev \
+	#	/usr/lib/ocaml/METAS
+	#dh_link -plibllvm-ocaml-dev \
+	#	/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm \
+	#	/usr/lib/ocaml/llvm-$(CURRENT_VERSION) /usr/lib/ocaml/llvm
 
 	: # clang
 	dh_installdirs -pclang \
@@ -261,19 +268,3 @@
 	dh_installdocs -a $(nopkgs) debian/README.Debian
 	for p in $(packages) ; do \
 		if [ -f debian/$$p/usr/share/doc/$$p/changelog ]; then \
-		  mv debian/$$p/usr/share/doc/$$p/changelog \
-	    	debian/$$p/usr/share/doc/$$p/changelog.Debian; \
-		fi; \
-	done
-
-	dh_compress -a $(nopkgs) -X README.Debian
-	dh_fixperms -a $(nopkgs)
-	dh_installdeb -a $(nopkgs)
-
-	for p in $(packages) ; do \
-	  dh_gencontrol -p$$p -u-v$(CV_LLVM) ; \
-	done
-
-	dh_md5sums -a $(nopkgs)
-	dh_builddeb -a $(nopkgs)
-
